"""add qa_fail workflow templates

Revision ID: f73dff1b2e6f
Revises: acfdeb6777cb
Create Date: 2021-11-12 09:28:24.875315

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "f73dff1b2e6f"
down_revision = "acfdeb6777cb"
branch_labels = None
depends_on = None


script_content = """#!/bin/sh

set -o errexit
export HOME=$TMPDIR

./conveyor --qa-fail $1

"""

condor = """executable = qa_fail.sh
arguments = metadata.json

output = qa_fail.out
error = qa_fail.err
log = condor.log

SBIN_PATH = /lustre/aoc/cluster/pipeline/$ENV(CAPO_PROFILE)/workspaces/sbin
SPOOL_DIR = {{spool_dir}}
should_transfer_files = yes
transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://$(SBIN_PATH)/pycapo, nraorsync://$(SBIN_PATH)/conveyor, nraorsync://$(SPOOL_DIR)/metadata.json

+WantIOProxy = True
getenv = True
environment = "CAPO_PATH=/home/casa/capo"
requirements = HasLustre == True

queue

"""


def upgrade():
    op.execute(
        f"""
        INSERT INTO workflow_templates (filename, content, workflow_name) 
        VALUES ('qa_fail.sh', E'{script_content}', 'qa_fail'); 
        """
    )
    op.execute(
        f"""
        INSERT INTO workflow_templates (filename, content, workflow_name) 
        VALUES ('qa_fail.condor', E'{condor}', 'qa_fail'); 
        """
    )


def downgrade():
    op.execute("DELETE FROM workflow_templates WHERE filename IN ('qa_fail.sh', 'qa_fail.condor')")
